// AddGroupChat.cpp :  Դϴ.
//

#include "stdafx.h"
#include "ChevMsgrClient_MFC.h"
#include "AddGroupChat.h"
#include "afxdialogex.h"


// CAddGroupChat ȭ Դϴ.

IMPLEMENT_DYNAMIC(CAddGroupChatDlg, CDialogEx)

CAddGroupChatDlg::CAddGroupChatDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_DIALOG_ADD_GROUP_CHAT, pParent)
{

}

CAddGroupChatDlg::~CAddGroupChatDlg()
{
}

void CAddGroupChatDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_LIST_FRIEND_TO_CHAT, mFriendListToChat);
	DDX_Control(pDX, IDC_LIST_SELECTED_FRIEND, mListSelectFriend);
}


BEGIN_MESSAGE_MAP(CAddGroupChatDlg, CDialogEx)
	ON_BN_CLICKED(IDC_ADD_LIST, &CAddGroupChatDlg::OnBnClickedAddList)
	ON_BN_CLICKED(IDOK, &CAddGroupChatDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDC_REMOVE_LIST, &CAddGroupChatDlg::OnBnClickedRemoveList)
END_MESSAGE_MAP()

BOOL CAddGroupChatDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	for (size_t iter = 0; iter < mMsgrClntDlg->idList.size(); iter++)
		mFriendListToChat.InsertString((int)iter, str2cstr(mMsgrClntDlg->idList[iter].id));

	return TRUE;
}

// CAddGroupChat ޽ óԴϴ.
void CAddGroupChatDlg::OnBnClickedAddList()
{
	// TODO: ⿡ Ʈ ˸ ó ڵ带 ߰մϴ.
	int leftidx = mFriendListToChat.GetCurSel();
		
	mFriendListToChat.GetText(leftidx, selectedId);
	mListSelectFriend.InsertString(mListSelectFriend.GetCount(), selectedId);
	mFriendListToChat.DeleteString(leftidx);
}


void CAddGroupChatDlg::OnBnClickedOk()
{
	// TODO: ⿡ Ʈ ˸ ó ڵ带 ߰մϴ.
	if (mListSelectFriend.GetCount() <= 1)
		return;

	mListSelectFriend.GetText(0, groupChat);
	for (int iter = 1; iter < mListSelectFriend.GetCount(); iter++)
	{
		mListSelectFriend.GetText(iter, selectedId);
		groupChat = groupChat + "," + selectedId;
	}

	CDialogEx::OnOK();
}


void CAddGroupChatDlg::OnBnClickedRemoveList()
{
	// TODO: ⿡ Ʈ ˸ ó ڵ带 ߰մϴ.
	int rightidx = mListSelectFriend.GetCurSel();
	
	if (rightidx < 0)
		return;

	mListSelectFriend.DeleteString(rightidx);
	mListSelectFriend.GetText(rightidx, selectedId);
	mFriendListToChat.InsertString(mFriendListToChat.GetCount(), selectedId);
}
