// Login.cpp :  Դϴ.
//

#include "stdafx.h"
#include "ChevMsgrClient_MFC.h"
#include "LoginDlg.h"
#include "afxdialogex.h"
#include "RegisterDlg.h"
#include "fstream"
#include "cf/codec.h"
#include "crypto.h"


// CLoginDlg ȭ Դϴ.

IMPLEMENT_DYNAMIC(CLoginDlg, CDialogEx)

CLoginDlg::CLoginDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_DIALOG_LOGIN, pParent)
{

}

CLoginDlg::~CLoginDlg()
{
}

void CLoginDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CLoginDlg, CDialogEx)
	ON_BN_CLICKED(IDC_BTN_LOGIN_REGISTER, &CLoginDlg::OnBnClickedBtnLoginRegister)
	ON_BN_CLICKED(IDC_BTN_LOGIN_LOGIN, &CLoginDlg::OnBnClickedBtnLoginLogin)
END_MESSAGE_MAP()


// CLoginDlg ޽ óԴϴ.


void CLoginDlg::OnBnClickedBtnLoginRegister()
{
	// TODO: ⿡ Ʈ ˸ ó ڵ带 ߰մϴ.
	CRegisterDlg regiDlg;
	regiDlg.chev = this->chev;
	regiDlg.DoModal();
}


void CLoginDlg::OnBnClickedBtnLoginLogin()
{
	// TODO: ⿡ Ʈ ˸ ó ڵ带 ߰մϴ.
	CString id, pw;
	cf::bin decoded;
	crypto c;
	std::string str;

	GetDlgItemText(IDC_EDIT_LOGIN_ID, id);
	if (id == _T(""))
	{
		AfxMessageBox(_T("No ID"));
		return;
	}

	std::string name = cf::codec::hex::getInstance()->encode(c.sha256(cf::bin(cstr2str(id))));
	std::ifstream f(name);
	if(!f)
	{
		AfxMessageBox(_T("FILE OPEN FAILED ( LOGIN )"));
		EndDialog(1);
	}

	this->mId = cstr2str(id);

	GetDlgItemText(IDC_EDIT_LOGIN_PW, pw);
	if (pw == _T(""))
	{
		AfxMessageBox(_T("No Password"));
		return;
	}

	f >> str;

	try
	{
		decoded = cf::codec::hex::getInstance()->decode(str);

		c.setKey(cf::bin(cstr2str(pw)));
		str = c.decrypt(decoded).toString();
	}
	catch(cf::exception &e)
	{
		AfxMessageBox(_T("Invalid Password"));
		(void)e;
		return;
	}
	
	if (str.size() == 6)
	{
		for (size_t iter = 0; iter < str.size(); iter++)
		{
			if (!(str[iter] >= '0' && str[iter] <= '9'))
			{
				AfxMessageBox(_T("Decrypt Error"));
				EndDialog(2);
			}
		}
	}
	else
	{
		AfxMessageBox(_T("Decrypt Error"));
		EndDialog(3);
	}

	if (!chev->login(cstr2str(id), cstr2str(pw), str))
		AfxMessageBox(_T("Login Failed"));
	else
		EndDialog(0);
}